# -*- coding: utf-8 -*-

from django.test import TestCase
from ecobox.models import Ecobox

from decimal import Decimal


class TestEcobox(TestCase):
    "Test de l'objet Ecobox"

    def setUp(self):
        self.ecobox = Ecobox.objects.create(
            nom="ecobox",
            prix=Decimal(42),
            description="Coucou, tu veux voir mon écobox ?",
        )

    def test_chaine_prix(self):
        self.assertEqual(self.ecobox.chaine_prix(), "42,00 €")

    def test_chaine_prix_js(self):
        self.assertEqual(self.ecobox.chaine_prix_js(), "42.00")


# class TestCommande(TestCase):
#    "Test de l'objet Commande"
#    def setUp(self):
#        self.user = PortailUser.objects.create(
#                ecole=Ecole.inp,
#                username="tatat",
#                first_name="Toto", last_name="Tata")
#        self.ecobox = Ecobox.objects.create(
#                nom="ecobox",
#                prix=Decimal(42),
#                description="Coucou, tu veux voir mon écobox ?")
#        self.commande = Commande.objects.create(user=self.user)
#        self.contenu0 = ContenuCommande.objects.create(
#                commande=self.commande,
#                ecobox=self.ecobox,
#                quantite=72)
#        self.contenu1 = ContenuCommande.objects.create(
#                commande=self.commande,
#                ecobox=self.ecobox,
#                quantite=28)
#
#    def test_prix(self):
#        # (72 + 28) * 42 = 4200
#        self.assertEqual(self.commande.prix(), Decimal(4200))
#
#    def test_chaine_prix(self):
#        self.assertEqual(self.commande.chaine_prix(), "4200,00 €")


# class TestContenuCommande(TestCase):
#    def setUp(self):
#        self.user = PortailUser.objects.create(
#                ecole=Ecole.inp,
#                username="tatat",
#                first_name="Toto", last_name="Tata")
#        self.ecobox = Ecobox.objects.create(
#                nom="ecobox",
#                prix=Decimal(42),
#                description="Coucou, tu veux voir mon écobox ?")
#        self.commande = Commande.objects.create(user=self.user)
#        self.contenu = ContenuCommande.objects.create(
#                commande=self.commande,
#                ecobox=self.ecobox,
#                quantite=72)
#
#    def test_prix(self):
#        # 72 * 42 = 3024
#        self.assertEqual(self.contenu.prix(), Decimal(3024))
#
#    def test_chaine_prix(self):
#        self.assertEqual(self.contenu.chaine_prix(), "3024,00 €")
